package epson.print.storage.gdrivev3;




import java.util.ArrayList;

public interface GoogleDownloadContract {
    public static final int BUTTON_FOR_SIGN_IN_STATUS = 1;
    public static final int BUTTON_FOR_SIGN_OUT_STATUS = 0;

    public interface UserActionListener {
        void activityOnPause();

        void activityOnResume();

        void backKeyPressed();

        void cancelDownload();

        void initView();

        boolean isDownloading();

        void itemSelected(@NonNull OnlineFile onlineFile);

        void onAddScopeCompleted(boolean z);

        void onPreviewActivityEnd();

        void signInOrDisconnectClicked();

        void startListTask(@Nullable OnlineFile onlineFile);
    }

    public interface View {
        void changeSignInOutButton(int i);

        void clearListItems();

        void dismissProgress();

        void finishActivity();

        @NonNull
        ActivityWrapper getActivityWrapper();

        void listFiles(@Nullable ArrayList<OnlineFile> arrayList);

        void setSignInButtonEnabled(boolean z);

        void showDownloadErrorDialog();

        void showDownloadProgress();

        void showOfflineErrorDialog();

        void showProgress();

        void showSignInFailDialog();

        void startPreviewActivity(String str);
    }
}
